# aiohttp app declaration API

Adding sub-apps into aiohttp does not add nesting 
and hierarchy is not well readable. Using `create_app` makes each
sub-app nest which makes it clear which apps are under which path. 

Declare your API instead of using imperative approach:

```python
app = create_app(
    (
        web.get("/hello", handle_hello),
        web.get("/world", handle_world),
    ),
    # add sub apps
    (
        "/api/v1",
        create_app(
            web.get("/foo", handle_api_foo),
            middlewares=(auth,),
        ),
    ),
)
```